﻿import app.telegram.Keyboards.inline_keyboards as inline_markup
import app.telegram.Keyboards.reply_keyboards as reply_markup

async def start_message(message):
    await message.answer(f""" Привет <b>{message.from_user.username}</b>! 👋

Добро пожаловать в бот по трейдингу на Bibyt — вашего надежного помощника для анализа рынка и принятия взвешенных решений. Здесь вы получите:
<b>
📊 Анализ текущих трендов  
📈 Инструменты для прогнозирования и оценки рисков  
⚡️ Сигналы и рекомендации по сделкам  
🔔 Уведомления о важных изменениях и новостях
</b>
Просто отправляйте интересующий вас инструмент или команду, и бот быстро предоставит актуальную информацию и аналитику.

Начнем торговать умно и эффективно вместе! 🚀 

""", parse_mode='html', reply_markup=inline_markup.start_markup)

async def profile_message(username, message):
    await message.answer(f""" <b>{username}</b>

Баланс:  
⭐️ 0

Описание:  
Активный трейдер на платформе Bibyt с индивидуальной стратегией и аналитикой в реальном времени. Постоянно улучшает навыки и следит за рыночными тенденциями для максимальной прибыли.
""", parse_mode='html', reply_markup=inline_markup.settings_markup)

async def check_profile_message(message):
    await message.answer(f'Добро пожаловать {message.from_user.username}!', reply_markup=reply_markup.base_buttons_markup)
    
async def settings_message(message):
    await message.edit_text("Выберите что настроить", reply_markup=inline_markup.special_settings_markup)